Get · Management API
Get
GET
/Users?partnershipId={partnershipId}&id={id}Parameter
partnershipIdintErforderlichthe partnershipId id
10362idstringErforderlichthe user id
43022d3745be4159a46e75a25905a365Request-Header
AuthorizationBASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHljKontext: User management
Property Description
User (object)
| Property | Data type | Description |
|---|---|---|
| Id | String | The id of the user |
| Token | String | The automatically generated token of the user |
| Firstname | String | The first name of the user |
| Surname | String | The surname of the user |
| String | The email of the user | |
| EmployeeId | String | The employee id of the user |
| CostCenters | Array[Object] | Array of Cost center objects holding information about the cost center |
Cost center (object)
| Property | Data type | Description |
|---|---|---|
| Code | String | The code of the cost center |
| StoreId | String | The id of the store of the cost center |
Originaler Blueprint-Ausschnitt
API Blueprint
### Get [GET]
+ Request
+ Headers
Authorization : BASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHlj
+ Response 200
+ Body
{
"Id": "43022d3745be4159a46e75a25905a365",
"Token": "372a8849102d48b991576d6552b793bc",
"Firstname": "John",
"Surname": "Doe",
"Email": "john.doe@example.com",
"EmployeeId": "ABC-JD-123",
"CostCenters": [
{
"Code": "Test",
"StoreId": "ZZZ-ZZZZ"
}
]
}